/*
ESUP-portail is a french academic project developed under the GPL (General Public License) augmented according to the following :
A binary or source file developped by ESUP-portail can be used or compiled with products under Apache license.
The official english text of the GPL can be found here : http://www.gnu.org/licenses/gpl.html .
A non official french translation can be found here : http://www.linux-France.org/article/these/gpl.html .
The different kinds of licenses governing the products developed by the Apache foundation can be found here : http://www.apache.org/licenses .
It follows that you can as well as use download contents as well modify and redistribute them provided you respect the GPL terms.
Downloading and using such contents do not provide any guaranty.
Be sure that you have well understood the terms of the license before using the contents it covers.
The ESUP-portail distribution includes the following distributions :
    * UPortal :
      software developed by JA-SIG (Java Architecture - Special Interest Group)
      You can find the license page here : http://mis105.udel.edu/ja-sig/uportal/license.html
    * CAS :
      SSO solution developed by Yale University
      You can find the project page here : http://www.yale.edu/tp/auth
    * Cocoon :
      XML framework distributed by the Apache foundation under Apache license;
      Please find the full text here : http://cocoon.apache.org/2.1/license.html
    * Mod_dav:
      A DAV module for Apache web server
      You can find the project page here : http://www.webdav.org/mod_dav
    * IMP :
      webmail from Horde application framework
      You can find the project page here : http://www.horde.org
    * . To be completed
*/

package org.esupportail.portal.channels.CPref.config;   

import java.util.Hashtable;

/** 
 * <p>Titre : CModifPerso</p>
 * <p>Description : Canal de modification des informations LDAP</p>
 * <p>Copyright : Copyright (c) 2004</p>
 * <p>Socit : esupPortail</p>
 * @author Sbatien GAUDIN
 * @version 1.0
 */

public class LdapAttribut {
	String ldapName;
	String logicalName;
	String access;
	Hashtable formats = new Hashtable();
	/**
	 * @return Returns the access.
	 */
	public String getAccess() {
		return access;
	}
	/**
	 * @param access The access to set. 
	 */
	public void setAccess(String access) {
		this.access = access;
	}
	/**
	 * @return Returns the format.
	 */
	public String getFormat(String key) {
		
		if (this.formats.containsKey("all"))
			return (String)this.formats.get("all");
		return (String)this.formats.get(key);
	}
	/**
	 * @param format The format to set.
	 */
	public void setFormat(String format) {
		this.formats.put("all", format);
	}
	/**
	 * @param format The format to set.
	 */
	public void addFormat(String group,String format) {
		this.formats.put(group, format);
	}
	/**
	 * @return Returns the name.
	 */
	public String getLdapName() {
		return ldapName;
	}
	/**
	 * @param name The name to set.
	 */
	public void setLdapName(String ldapName) {
		this.ldapName = ldapName;
	}
	/**
	 * @return Returns the name. 
	  
	public String getLogicalName() {
		return logicalName;
	}*/
	/**
	 * @param name The name to set.
	 
	public void setLogicalName(String logicalName) {
		this.logicalName = logicalName;
	}*/
}
