<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:import href="errorBar.xsl" />
	
   <xsl:param name="baseActionURL">donne par le code</xsl:param>
   <xsl:param name="error">donne par le code</xsl:param>
   	<xsl:template match="/xml">
   <xsl:call-template name="errorBar"/>
   <form name="coord" action="{$baseActionURL}" method="post">
   <input type="hidden" name="action" value="validInfoPers"/>
   <table>
   <tr><td><font class="uportal-channel-text">Login</font></td><td><xsl:value-of select="INFOS/@uid"/></td></tr>
   <tr><td><font class="uportal-channel-text">Nom</font></td><td><xsl:value-of select="INFOS/@sn"/></td></tr>
   <tr><td><font class="uportal-channel-text">Prénom</font></td><td><xsl:value-of select="INFOS/@givenname"/></td></tr>
   <tr><td>
		<xsl:choose>
			<xsl:when test="INFOS/@error_telephonenumber='1'"><font class="uportal-channel-error">Téléphone</font></xsl:when>
			<xsl:otherwise><font class="uportal-channel-text">Téléphone</font></xsl:otherwise>
   		</xsl:choose>
   		</td>
   		<td><input class="uportal-input-text" type="text" name="telephonenumber" value="{INFOS/@telephonenumber}"/></td></tr>
   <tr><td>
		<xsl:choose>
			<xsl:when test="INFOS/@error_facsimiletelephonenumber='1'"><font class="uportal-channel-error">Fax</font></xsl:when>
			<xsl:otherwise><font class="uportal-channel-text">Fax</font></xsl:otherwise>
   		</xsl:choose>
   		</td><td><input class="uportal-input-text" type="text" name="facsimiletelephonenumber" value="{INFOS/@facsimiletelephonenumber}"/></td></tr>
   <tr><td colspan="2">Pour demander des modifications sur ces informations, veuillez <a href="mailto:annuaire@univ-nancy2.fr?subject=Modification annuaire Utilisateur:sgaudin">cliquer ici</a></td></tr>
   <tr><td colspan="2">&#160;</td></tr>   
   <tr><td><input class="uportal-button" type="submit" value="Valider" name="Submit"/></td>
   	<td><input class="uportal-button" type="submit" value="Retour à l'accueil" name="Cancel"/></td></tr>
   </table>
   </form>
   </xsl:template>
</xsl:stylesheet>