<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:import href="errorBar.xsl" />
	
   
   <xsl:param name="baseActionURL">donne par le code</xsl:param>
   <xsl:param name="error">donne par le code</xsl:param>
   <xsl:param name="mailRef">donne par le code</xsl:param>
   
   <xsl:template match="/xml">
   <xsl:call-template name="errorBar"/>
   <form name="coord" action="{$baseActionURL}" method="post">
   <input type="hidden" name="action" value="validMessagerie"/>
   <table>
   	<tr>
   		<td>Votre adresse mail est : </td>
   		<td><xsl:value-of select="INFOS/@mail" /></td>
   </tr>  
   	<tr><td colspan="2">
   						
		<xsl:choose>	
						
			<xsl:when test="INFOS/@error_n2atrmaildrop=1">
				Votre courrier n'est pas redirigé.<br />
				Entrez ici <font class="uportal-channel-error">l'adresse vers laquelle vous voulez rediriger votre courrier</font> : <input type="text" class="uportal-input-text" name="n2atrmaildrop" value="{INFOS/@n2atrmaildrop}" />
			</xsl:when>	
						
			<xsl:when test="INFOS/@n2atrmaildrop=$mailRef">
				Votre courrier n'est pas redirigé.<br />
				Entrez ici l'adresse vers laquelle vous voulez rediriger votre courrier : <input type="text" class="uportal-input-text" name="n2atrmaildrop" value="" />
			</xsl:when>				
							
			<xsl:when test="INFOS/@n2atrmaildrop!=$mailRef">
				Votre courrier est redirigé sur : <xsl:value-of select="INFOS/@n2atrmaildrop"/><br />
				<input type="hidden" name="n2atrmaildrop" value="" size="40"/>
			</xsl:when>			
		</xsl:choose>
		
   		</td>
   </tr>  
   <tr><td colspan="2">&#160;</td></tr>   
   <tr>
   		<td >				
		<xsl:choose>
						
			<xsl:when test="(INFOS/@n2atrmaildrop=$mailRef) or (INFOS/@error_n2atrmaildrop=1)">
				<input class="uportal-button" type="submit" value="Activer la redirection" name="Submit"/>
			</xsl:when>		
								
			<xsl:when test="INFOS/@n2atrmaildrop!=$mailRef">
				<input class="uportal-button" type="submit" value="Supprimer la redirection" name="Submit"/>
			</xsl:when>			
		</xsl:choose>
		</td>
			<td ><input class="uportal-button" type="submit" value="Retour à l'accueil" name="Cancel"/></td></tr>
   </table>
   </form>
   </xsl:template>
</xsl:stylesheet>

